#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/extensions/HelperMacros.h>
#include "../synapse.h"


class SynapseTest : public CppUnit::TestFixture  {
      CPPUNIT_TEST_SUITE( SynapseTest );
      CPPUNIT_TEST( testInit );   // on enregistre les tests à faire dans l ordre
      CPPUNIT_TEST( testOperotorAssign );
      CPPUNIT_TEST_SUITE_END();
private:
    Synapse* Syn1;// une synapse
    Synapse* Syn2;
public:
    void setUp();
    void tearDown();
    void testInit();
    void testOperotorAssign();
};
